Procedure
Run the following command on the node:
zbs-node evict list
Output example
evict_uuid: 1b39dc80-486b-4122-8da5-a699dc774465 operated_time: 2022-11-24 16:38:31 live_migrate_vm_count: 2
evict_uuid: abb46105-f346-453b-9228-57ac69b3cd99 operated_time: 2022-11-24 16:39:58 live_migrate_vm_count: 2Output note
| Parameter | Description |
|---|---|
evict_uuid | The migration task UUID. |
operated_time | The completion time of the migration. |
live_migrate_vm_count | The number of virtual machines migrated. |
For clusters with Boost mode enabled, after upgrading the procurator, you need to manually migrate the virtual machines from the node to other nodes. Then, migrate them back to the original node to activate the virtual machine–related binaries.
Procedure
Run the following command on the node to migrate all running virtual machines from the current node to other nodes:
$zbs-node evict migrate_vms [--data_ip <DATA_IP>]
| Parameter | Description |
|---|---|
--data_ip <DATA_IP> | The storage network IP address of the target node. |
Output example
$zbs-node evict migrate_vms --data_ip 10.192.210.40
2022-11-24 16:38:25,562 client.py 53 [99265] [INFO] Create channel to 127.0.0.1:9999
2022-11-24 16:38:26,539 connectionpool.py 203 [99265] [INFO] Starting new HTTP connection (1): 127.0.0.1
2022-11-24 16:38:27,427 connectionpool.py 383 [99265] [DEBUG] "GET /api/v2/vms?count=50&skip_page=1&filter_criteria=node_ip=10.192.210.40 HTTP/1.1" 200 23837
2022-11-24 16:38:27,430 elf.py 61 [99265] [INFO] Get vms successfully.
...
2022-11-24 16:38:31,343 elf.py 30 [99265] [INFO] Try migrate vms successfully.
...
2022-11-24 16:38:42,212 vm_operate_service.py 423 [99265] [INFO] [VMOperateService] live_migrate_vm succeed
2022-11-24 16:38:42,264 vm_operate_service.py 456 [99265] [INFO]
vm_name: CentOS-1002-clone02 vm_uuid: e52aaa4e-09fc-4780-9973-4e11b3d1c684 source_host_ip: 10.192.210.40 target_host_ip: 10.192.210.41 state: done
vm_name: CentOS-1003-clone vm_uuid: 95485c57-1755-484d-bd83-172aaeeafcbd source_host_ip: 10.192.210.40 target_host_ip: 10.192.210.42 state: pending
2022-11-24 16:38:42,264 vm_operate_service.py 322 [99265] [INFO] vm operate uuid 1b39dc80-486b-4122-8da5-a699dc774465
...
2022-11-24 16:38:53,472 vm_operate_service.py 423 [99265] [INFO] [VMOperateService] live_migrate_vm succeed
2022-11-24 16:38:53,492 vm_operate_service.py 456 [99265] [INFO]
vm_name: CentOS-1002-clone02 vm_uuid: e52aaa4e-09fc-4780-9973-4e11b3d1c684 source_host_ip: 10.192.210.40 target_host_ip: 10.192.210.41 state: done
vm_name: CentOS-1003-clone vm_uuid: 95485c57-1755-484d-bd83-172aaeeafcbd source_host_ip: 10.192.210.40 target_host_ip: 10.192.210.42 state: done
2022-11-24 16:38:53,492 vm_operate_service.py 439 [99265] [INFO] [VMOperateService] live_migrate_vms succeedOutput note
The migration logs, detailed migration progress, and results are displayed.
Procedure
Run the following command on the node to migrate all virtual machines included in the migration task back to the original node:
zbs-node evict migrate_back_vms [--evict_uuid <EVICT_UUID>] [--data_ip <DATA_IP>]
| Parameter | Description |
|---|---|
--evict_uuid <EVICT_UUID> | The migration task UUID. |
--data_ip <DATA_IP> | The storage network IP address of the node to migrate back to. |
Output example
$zbs-node evict migrate_back_vms --evict_uuid f2bf03da-4bec-4165-861d-9026199ca16b --data_ip 10.192.210.40
2022-11-24 16:55:16,307 vm_operate_service.py 239 [134050] [INFO] [VMOperateService] calc_vms_for_exit_mt_mode
...
2022-11-24 16:55:17,267 elf.py 68 [134050] [INFO] Get vm successfully.
...
2022-11-24 16:55:33,337 vm_operate_service.py 423 [134050] [INFO] [VMOperateService] live_migrate_vm succeed
2022-11-24 16:55:33,387 vm_operate_service.py 456 [134050] [INFO]
vm_name: CentOS-1003-clone vm_uuid: 95485c57-1755-484d-bd83-172aaeeafcbd source_host_ip: 10.192.210.42 target_host_ip: 10.192.210.40 state: done
vm_name: CentOS-02 vm_uuid: ac16c9a9-4322-4fbe-a34a-3ce8176df3cd source_host_ip: 10.192.210.42 target_host_ip: 10.192.210.40 state: pending
2022-11-24 16:55:33,388 vm_operate_service.py 322 [134050] [INFO] vm operate uuid 6404fcb3-66df-4324-9d26-a3b64f9667b8
2022-11-24 16:55:33,388 vm_operate_service.py 62 [134050] [INFO] [VMOperateService] check_job
2022-11-24 16:55:33,436 vm_operate_service.py 407 [134050] [INFO] [VMOperateService] live_migrate_vm
2022-11-24 16:55:33,437 vm_operate_service.py 413 [134050] [INFO] [VMOperateService] live_migrate_vm vm_uuid: ac16c9a9-4322-4fbe-a34a-3ce8176df3cd, target_host_ip: 10.192.210.40
...
2022-11-24 16:55:49,975 vm_operate_service.py 423 [134050] [INFO] [VMOperateService] live_migrate_vm succeed
2022-11-24 16:55:50,019 vm_operate_service.py 456 [134050] [INFO]
vm_name: CentOS-1003-clone vm_uuid: 95485c57-1755-484d-bd83-172aaeeafcbd source_host_ip: 10.192.210.42 target_host_ip: 10.192.210.40 state: done
vm_name: CentOS-02 vm_uuid: ac16c9a9-4322-4fbe-a34a-3ce8176df3cd source_host_ip: 10.192.210.42 target_host_ip: 10.192.210.40 state: done
2022-11-24 16:55:50,020 vm_operate_service.py 439 [134050] [INFO] [VMOperateService] live_migrate_vms succeedOutput note
The migration logs, detailed migration progress, and results are displayed.